# FairMQ: fair::mq::sdk::AsioAsyncOp< Executor, Allocator, CompletionSignature > Class Template Reference

fair::mq::sdk::AsioAsyncOp< Executor, Allocator, CompletionSignature > Class Template Reference

Interface for Asio-compliant asynchronous operation, see https://www.boost.org/doc/libs/1_70_0/doc/html/boost_asio/reference/asynchronous_operations.html. More...

`#include <fairmq/sdk/AsioAsyncOp.h>`

## Detailed Description

### template<typename Executor, typename Allocator, typename CompletionSignature>
class fair::mq::sdk::AsioAsyncOp< Executor, Allocator, CompletionSignature >

Interface for Asio-compliant asynchronous operation, see https://www.boost.org/doc/libs/1_70_0/doc/html/boost_asio/reference/asynchronous_operations.html.

Template Parameters

  Executor | Associated I/O executor, see https://www.boost.org/doc/libs/1_70_0/doc/html/boost_asio/reference/asynchronous_operations.html#boost_asio.reference.asynchronous_operations.associated_i_o_executor
  Allocator | Default allocation strategy, see https://www.boost.org/doc/libs/1_70_0/doc/html/boost_asio/reference/asynchronous_operations.html#boost_asio.reference.asynchronous_operations.allocation_of_intermediate_storage
  CompletionSignature |

Thread Safety
  Distinct objects: Safe.
  Shared objects: Unsafe.

primary template

The documentation for this class was generated from the following file:

- fairmq/sdk/AsioAsyncOp.h

privacy